# Change a connection (owner only) (https://docs-ecmrhub-v2.lucaspiera.com/docs/api/connections/updateConnection)

## PATCH /functions/v1/connections/{connectionId}

Change a connection (owner only)

Changes the permissions of a connection or whether its writes wait for a person's approval.

```json
{
  "operationId": "updateConnection",
  "parameters": [
    {
      "in": "path",
      "name": "connectionId",
      "schema": {
        "type": "string",
        "format": "uuid"
      },
      "required": true
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "requireApproval": {
              "type": "boolean"
            },
            "permissions": {
              "maxItems": 6,
              "type": "array",
              "items": {
                "type": "string",
                "enum": [
                  "documents:read",
                  "documents:write",
                  "library:read",
                  "library:write",
                  "signing:links",
                  "tracking:manage"
                ]
              }
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Connection"
          }
        }
      }
    },
    "default": {
      "$ref": "#/components/responses/Problem"
    }
  }
}
```

Schemas referenced as `#/components/...` are in the full contract: https://docs-ecmrhub-v2.lucaspiera.com/openapi.json